me.legofreak107.vehiclesplus.vehicles.api.libraries.nbtsaving

## Class Pair<L,R>

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.api.libraries.nbtsaving.Pair<L,R>

    public class Pair<L,R>
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Pair(L left, R right)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object o)`
`L` `getLeft()`
`R` `getRight()`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Pair

    public Pair(L left,
                R right)

### Method Detail

#### getLeft

    public L getLeft()

#### getRight

    public R getRight()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`